ch.qos.logback.access.sift

## Enum AccessEventDiscriminator.FieldName

- java.lang.Object
- - java.lang.Enum<AccessEventDiscriminator.FieldName>
  - - ch.qos.logback.access.sift.AccessEventDiscriminator.FieldName

All Implemented Interfaces:
  Serializable, Comparable<AccessEventDiscriminator.FieldName>

Enclosing class:
  AccessEventDiscriminator

    public static enum AccessEventDiscriminator.FieldName
    extends Enum<AccessEventDiscriminator.FieldName>

At present time the followed fields can be designated: COOKIE, REQUEST_ATTRIBUTE, SESSION_ATTRIBUTE, REMOTE_ADDRESS, LOCAL_PORT,REQUEST_URI

The first three fields require an additional key. For the SESSION_ATTRIBUTE field, the additional key named "id" has special meaning as it is mapped to the session id of the current http request.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COOKIE`
`LOCAL_PORT`
`REMOTE_ADDRESS`
`REQUEST_ATTRIBUTE`
`REQUEST_URI`
`SESSION_ATTRIBUTE`

### Method Summary

All Methods Static Methods Concrete Methods
`static AccessEventDiscriminator.FieldName` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AccessEventDiscriminator.FieldName[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COOKIE

    public static final AccessEventDiscriminator.FieldName COOKIE

#### REQUEST_ATTRIBUTE

    public static final AccessEventDiscriminator.FieldName REQUEST_ATTRIBUTE

#### SESSION_ATTRIBUTE

    public static final AccessEventDiscriminator.FieldName SESSION_ATTRIBUTE

#### REMOTE_ADDRESS

    public static final AccessEventDiscriminator.FieldName REMOTE_ADDRESS

#### LOCAL_PORT

    public static final AccessEventDiscriminator.FieldName LOCAL_PORT

#### REQUEST_URI

    public static final AccessEventDiscriminator.FieldName REQUEST_URI

### Method Detail

#### values

    public static AccessEventDiscriminator.FieldName[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AccessEventDiscriminator.FieldName c : AccessEventDiscriminator.FieldName.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AccessEventDiscriminator.FieldName valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null